import request from '@/config/axios'

// 保存基本信息
export const saveResumeBasicInfo = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/resume/save/info',
    data
  })
}

// 保存个人优势
export const saveResumeAdvantage = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/resume/save/advantage',
    data
  })
}

// 保存培训经历
export const saveResumeTrainExp = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/resume/save/train/exp',
    data
  })
}

// 删除培训经历
export const deleteResumeTrainExp = async (id) => {
  return await request.delete({
    url: '/app-api/menduner/system/person/resume/remove/train/exp?id=' + id
  })
}

// 获取培训经历
export const getResumeTrainExp = async () => {
  return await request.get({
    url: '/app-api/menduner/system/person/resume/get/train/exp'
  })
}

// 获取-教育经历
export const getResumeEduExp = async () => {
  return await request.get({
    url: '/app-api/menduner/system/person/resume/get/edu/exp'
  })
}

// 删除-教育经历
export const deleteResumeEduExp = async (id) => {
  return await request.delete({
    url: '/app-api/menduner/system/person/resume/remove/edu/exp?id=' + id
  })
}

// 保存-教育经历
export const saveResumeEduExp = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/resume/save/edu/exp',
    data
  })
}

// 获取-工作经历
export const getResumeWorkExp = async () => {
  return await request.get({
    url: '/app-api/menduner/system/person/resume/get/work/exp'
  })
}

// 删除-工作经历
export const deleteResumeWorkExp = async (id) => {
  return await request.delete({
    url: '/app-api/menduner/system/person/resume/remove/work/exp?id=' + id
  })
}

// 保存-工作经历
export const saveResumeWorkExp = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/resume/save/work/exp',
    data
  })
}

// 保存项目经历
export const saveResumeProjectExp = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/resume/save/project/exp',
    data
  })
}

// 删除项目经历
export const deleteResumeProjectExp = async (id) => {
  return await request.delete({
    url: '/app-api/menduner/system/person/resume/remove/project/exp?id=' + id
  })
}

// 获取项目经历
export const getResumeProjectExp = async () => {
  return await request.get({
    url: '/app-api/menduner/system/person/resume/get/project/exp'
  })
}

// 获取-职业技能
export const getResumePersonSkill = async () => {
  return await request.get({
    url: '/app-api/menduner/system/person/resume/get/person/skill'
  })
}

// 删除-职业技能
export const deleteResumePersonSkill = async (id) => {
  return await request.delete({
    url: '/app-api/menduner/system/person/resume/remove/person/skill?id=' + id
  })
}

// 保存-职业技能
export const saveResumePersonSkill = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/resume/save/person/skill',
    data
  })
}

// 保存求职意向
export const saveResumeJobInterested = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/person/resume/save/job/interested',
    data
  })
}

// 删除求职意向
export const deleteResumeJobInterested = async (id) => {
  return await request.delete({
    url: '/app-api/menduner/system/person/resume/remove/job/interested?id=' + id
  })
}

// 获取求职意向
export const getResumeJobInterested = async () => {
  return await request.get({
    url: '/app-api/menduner/system/person/resume/get/job/interested'
  })
}

// 根据专业名称模糊搜索
export const schoolMajorByName = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/major/search/by/name',
    params
  })
}

// 根据学校名称模糊搜索
export const schoolSearchByName = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/school/search/by/name',
    params
  })
}

// 根据企业名称模糊搜索
export const enterpriseSearchByName = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/enterprise/search/by/name',
    params
  })
}
